<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>VidaVoxV1</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="bluconnect::com.aptener.bluconnect.device/VidaVoxV1///PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../../index.html">bluconnect</a><span class="delimiter">/</span><a href="../index.html">com.aptener.bluconnect.device</a><span class="delimiter">/</span><span class="current">VidaVoxV1</span></div>
  <div class="cover ">
    <h1 class="cover"><span>Vida</span><wbr></wbr><span>Vox</span><wbr></wbr><span><span>V1</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="index.html">VidaVoxV1</a> : <a href="../-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><p class="paragraph">Smart Helmet Headset SDK for VIDA VOX VIDA_VOX_V1</p><p class="paragraph">This SDK provides access to various features and controls of VIDA VOX VIDA_VOX_V1.</p><p class="paragraph">VIDA VOX VIDA_VOX_V1 supported features: DeviceInfoHS1 Version metadata <a href="battery.html">battery</a> Battery updates <span data-unresolved-link="com.aptener.bluconnect.device.control/Volume///PointingToDeclaration/">Volume</span> Offers volume controls <span data-unresolved-link="com.aptener.bluconnect.device.control/MediaPlayer///PointingToDeclaration/">MediaPlayer</span> Offers media player controls <span data-unresolved-link="com.aptener.bluconnect.device.control/Dialer///PointingToDeclaration/">Dialer</span> Offers phone call controls <span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceAnnouncement///PointingToDeclaration/">VoiceAnnouncement</span> Play custom text announcements and media files <span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceNoteRecorder///PointingToDeclaration/">VoiceNoteRecorder</span> Invoke voice assistant <span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceAssistant///PointingToDeclaration/">VoiceAssistant</span> Invoke voice assistant <span data-unresolved-link="com.aptener.bluconnect.device.control/DialerSpeedDial///PointingToDeclaration/">DialerSpeedDial</span> Speed dial intercom <span data-unresolved-link="com.aptener.bluconnect.device.control/OtaSwitch///PointingToDeclaration/">OtaSwitch</span> Start OTA update</p></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,FUNCTION,PROPERTY">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="FUNCTION">
        <h2 class="">Functions</h2>
        <div class="table"><a data-name="1981376265%2FFunctions%2F-1410038383" anchor-label="factoryReset" id="1981376265%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="factory-reset.html"><span>factory</span><wbr></wbr><span><span>Reset</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1981376265%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="factory-reset.html"><span class="token function">factoryReset</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Perform a factory reset, wiping all data from the device.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="2106854025%2FFunctions%2F-1410038383" anchor-label="reboot" id="2106854025%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="reboot.html"><span><span>reboot</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="2106854025%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="reboot.html"><span class="token function">reboot</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Restart the device.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2041908748%2FFunctions%2F-1410038383" anchor-label="rename" id="-2041908748%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="rename.html"><span><span>rename</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2041908748%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="rename.html"><span class="token function">rename</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">name<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Change the device name.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="2115450778%2FFunctions%2F-1410038383" anchor-label="turnOff" id="2115450778%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="turn-off.html"><span>turn</span><wbr></wbr><span><span>Off</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="2115450778%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="turn-off.html"><span class="token function">turnOff</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Turn off the device.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="-962568801%2FProperties%2F-1410038383" anchor-label="battery" id="-962568801%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="battery.html"><span><span>battery</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-962568801%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="battery.html">battery</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/Battery///PointingToDeclaration/">Battery</span></div><div class="brief "><p class="paragraph">Get the battery status of the device.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1265378241%2FProperties%2F-1410038383" anchor-label="bluetoothDevice" id="-1265378241%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../-connected-blu-armor-device/bluetooth-device.html"><span>bluetooth</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1265378241%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="../-connected-blu-armor-device/bluetooth-device.html">bluetoothDevice</a><span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/bluetooth/BluetoothDevice.html">BluetoothDevice</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1475539942%2FProperties%2F-1410038383" anchor-label="deviceInfoVidaVoxV1" id="1475539942%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="device-info-vida-vox-v1.html"><span>device</span><wbr></wbr><span>Info</span><wbr></wbr><span>Vida</span><wbr></wbr><span>Vox</span><wbr></wbr><span><span>V1</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1475539942%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="device-info-vida-vox-v1.html">deviceInfoVidaVoxV1</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/DeviceInfoVidaVoxV1///PointingToDeclaration/">DeviceInfoVidaVoxV1</span></div><div class="brief "><p class="paragraph">Get device information including version metadata.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1532097121%2FProperties%2F-1410038383" anchor-label="deviceName" id="1532097121%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../-blu-armor-device/device-name.html"><span>device</span><wbr></wbr><span><span>Name</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1532097121%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="../-blu-armor-device/device-name.html">deviceName</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="518749457%2FProperties%2F-1410038383" anchor-label="dialer" id="518749457%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="dialer.html"><span><span>dialer</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="518749457%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="dialer.html">dialer</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/Dialer///PointingToDeclaration/">Dialer</span></div><div class="brief "><p class="paragraph">Control phone calls with the dialer.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1870545042%2FProperties%2F-1410038383" anchor-label="dialerSpeedDial" id="1870545042%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="dialer-speed-dial.html"><span>dialer</span><wbr></wbr><span>Speed</span><wbr></wbr><span><span>Dial</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1870545042%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="dialer-speed-dial.html">dialerSpeedDial</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/DialerSpeedDial///PointingToDeclaration/">DialerSpeedDial</span></div><div class="brief "><p class="paragraph">Configure and use speed dial for intercom.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1219882169%2FProperties%2F-1410038383" anchor-label="mediaPlayer" id="-1219882169%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="media-player.html"><span>media</span><wbr></wbr><span><span>Player</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1219882169%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="media-player.html">mediaPlayer</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/MediaPlayer///PointingToDeclaration/">MediaPlayer</span></div><div class="brief "><p class="paragraph">Control media playback.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2012640241%2FProperties%2F-1410038383" anchor-label="model" id="-2012640241%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../-blu-armor-device/model.html"><span><span>model</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2012640241%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="../-blu-armor-device/model.html">model</a><span class="token operator">: </span><span data-unresolved-link="/&amp;lt;Error class: unknown class&amp;gt;///PointingToDeclaration/">&lt;Error class: unknown class&gt;</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="709225436%2FProperties%2F-1410038383" anchor-label="otaSwitch" id="709225436%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="ota-switch.html"><span>ota</span><wbr></wbr><span><span>Switch</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="709225436%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="ota-switch.html">otaSwitch</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/OtaSwitch///PointingToDeclaration/">OtaSwitch</span></div><div class="brief "><p class="paragraph">Start OTA (Over-The-Air) update.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1376588571%2FProperties%2F-1410038383" anchor-label="testInterface" id="-1376588571%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="test-interface.html"><span>test</span><wbr></wbr><span><span>Interface</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1376588571%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="test-interface.html">testInterface</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/TestInterface///PointingToDeclaration/">TestInterface</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1269185837%2FProperties%2F-1410038383" anchor-label="voiceAnnouncement" id="-1269185837%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="voice-announcement.html"><span>voice</span><wbr></wbr><span><span>Announcement</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1269185837%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="voice-announcement.html">voiceAnnouncement</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceAnnouncement///PointingToDeclaration/">VoiceAnnouncement</span></div><div class="brief "><p class="paragraph">Play custom text announcements and media files.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1203806530%2FProperties%2F-1410038383" anchor-label="voiceAssistant" id="1203806530%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="voice-assistant.html"><span>voice</span><wbr></wbr><span><span>Assistant</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1203806530%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="voice-assistant.html">voiceAssistant</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceAssistant///PointingToDeclaration/">VoiceAssistant</span></div><div class="brief "><p class="paragraph">Invoke voice assistant.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="213221738%2FProperties%2F-1410038383" anchor-label="voiceNoteRecorder" id="213221738%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="voice-note-recorder.html"><span>voice</span><wbr></wbr><span>Note</span><wbr></wbr><span><span>Recorder</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="213221738%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="voice-note-recorder.html">voiceNoteRecorder</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceNoteRecorder///PointingToDeclaration/">VoiceNoteRecorder</span></div><div class="brief "><p class="paragraph">Record voice notes as mp3.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1952646988%2FProperties%2F-1410038383" anchor-label="volume" id="-1952646988%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="volume.html"><span><span>volume</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1952646988%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="volume.html">volume</a><span class="token operator">: </span><span data-unresolved-link="com.aptener.bluconnect.device.control/Volume///PointingToDeclaration/">Volume</span></div><div class="brief "><p class="paragraph">Control volume levels.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2024 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
